Skip to main content
GET
Get most recent contract fees and cost components
Use this endpoint to retrieve detailed information about the cost components applicable for a specific contract. This allows your application to show a cost breakdown to the end user, providing insight about which costs are related to grid fees and other taxes and levies, and which costs are related to the cost of energy procurement. This endpoint provides the data of the most recent month breakdown, i.e. a snapshot of the cost components on an invoice.
Requires role:application scope or Linked relation on customer level.
The API provides cost / price information on the following components:

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerNumber
string
required

Customer number

contractNumber
string
required

Contract number

Response

200 - application/json

OK

API response DTO with a list of items.

isSuccess
boolean
read-only

Success status of the operation based on status code (2xx range).

Example:

true

message
string | null

Optional message to provide additional information about the operation result.

Example:

null

error
object[] | null

Optional error details in case of an error(s).

refUri
string<uri> | null
read-only

Optional reference URI to point to the resulting resource.

data
object[]

Returned data instance.

count
integer<int32>
read-only

Number of items returned in the list.

Example:

10

hasMoreItems
boolean

Indicates, whether there are more items to be returned in the list, that are not included in the limit of this request.

Example:

true